Bug 251842

Summary: Dependency not installed
Product: [Fedora] Fedora Reporter: Andrea Bruna <andbruna>
Component: torcsAssignee: Matthias Saou <matthias>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 7   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-12 14:52:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrea Bruna 2007-08-12 10:21:41 UTC
Description of problem:
Torcs requires plib but the rpm package miss this dependency.
The problem is very simple to be resolved (a simple "yum install plib" is more
than enough) but still annoying... 

Version-Release number of selected component (if applicable):
torcs.x86_64 1.3.0-1.fc7
plib.x86_64  1.8.4-8.fc6


How reproducible:
Install torcs on a fresh system and launch the game.

Steps to Reproduce:
1. Install torcs with yum
2. Launch torcs
3.
  
Actual results:
/usr/lib64/torcs/torcs-bin: error while loading shared libraries:
libplibul.so.1.8.4: cannot open shared object file: No such file or directory


Expected results:
Torcs runs and open its game window.

Additional info:

Comment 1 Matthias Saou 2007-08-12 14:52:57 UTC
There is no problem with the torcs package :
$ rpm -q --requires torcs
[...]
libopenal.so.0  
libplibsg.so.1.8.4  
libplibsl.so.1.8.4  
libplibsm.so.1.8.4  
libplibssg.so.1.8.4  
libplibssgaux.so.1.8.4  
libplibul.so.1.8.4  
[...]
torcs-data  
torcs-data-cars-extra  
torcs-data-tracks-road

So I'm pretty sure you hit that ugly problem where some dependencies don't get
installed properly. See bug #242368 for the details.

*** This bug has been marked as a duplicate of 242368 ***